import SwiftUI

struct GeneralSettingsDetailView: View {

    @ObservedObject
    var generalSettings: GeneralSettings

    var body: some View {
        ScrollView {
            VStack(alignment: .leading) {
                StringPropertyView(
                    title: "Website URL",
                    text: $generalSettings.url,
                    footer: "The base path where the website is deployed, to generate absolute links")
                
                IntegerPropertyView(
                    title: "Link Preview Image Width",
                    value: $generalSettings.linkPreviewImageWidth,
                    footer: "The maximum width of a link preview image")
                
                IntegerPropertyView(
                    title: "Link Preview Image Height",
                    value: $generalSettings.linkPreviewImageHeight,
                    footer: "The maximum height of a link preview image")

                StringPropertyView(
                    title: "Upload User",
                    text: $generalSettings.remoteUserForUpload,
                    footer: "The user on the server to connect via ssh for upload")

                IntegerPropertyView(
                    title: "Upload Port",
                    value: $generalSettings.remotePortForUpload,
                    footer: "The port on the server to rsync the generated website")

                StringPropertyView(
                    title: "Upload Folder",
                    text: $generalSettings.remotePathForUpload,
                    footer: "The path to the folder on the server where the files should be uploaded to")
            }
            .padding()
        }
    }
}
